Package Details: iriunwebcam-bin 2.4-2

Git Clone URL: https://aur.archlinux.org/iriunwebcam-bin.git (read-only, click to copy)
Package Base: iriunwebcam-bin
Description: Use your phone's camera as a wireless webcam in your PC.
Upstream URL: http://iriun.gitlab.io
Licenses: unknown
Submitter: miss_barfin
Maintainer: miss_barfin (DanielH, chofstede, agstrc)
Last Packager: agstrc
Votes: 6
Popularity: 2.25
First Submitted: 2020-05-11 22:33
Last Updated: 2021-03-22 22:21

Pinned Comments

agstrc commented on 2021-03-22 22:24

Just pushed a new PKGBUILD. I had to modify some of DanielH's changes, since it was actually downloading v2.3 (the default source for http://iriun.gitlab.io/iriunwebcam.deb is 2.3), but everything else seems to be working.

miss_barfin commented on 2021-03-16 13:25

@DanielH sorry for inconvenience, I'm on windows 10 and i couldn't get wsl to work well I added some other users as the the co-maintainer, so they can edit the package and make it usable until i go back to arch linux

Latest Comments

1 2 Next › Last »

agstrc commented on 2021-03-22 22:24

Just pushed a new PKGBUILD. I had to modify some of DanielH's changes, since it was actually downloading v2.3 (the default source for http://iriun.gitlab.io/iriunwebcam.deb is 2.3), but everything else seems to be working.

chofstede commented on 2021-03-18 14:47

With the following PKGBUILD I can successfully install iriun and it works flawlessly for me:

# Maintainer: Barfin
pkgname=iriunwebcam-bin
pkgver=2.3
pkgrel=1
pkgdesc="Use your phone's camera as a wireless webcam in your PC."
arch=('any')
url="http://iriun.gitlab.io"
license=(unknown)
source=("iriunwebcam.deb::http://iriun.gitlab.io/iriunwebcam.deb")
options=('!strip')
depends=('jack' 'qt5-base' 'v4l2loopback-dkms')

package() {
        tar -xf "${srcdir}/data.tar.xz" -C "${pkgdir}"
}

md5sums=('9f14cff197d77cdeeded960836f843b5')

miss_barfin commented on 2021-03-16 13:25

@DanielH sorry for inconvenience, I'm on windows 10 and i couldn't get wsl to work well I added some other users as the the co-maintainer, so they can edit the package and make it usable until i go back to arch linux

DanielH commented on 2021-03-15 01:42

I've wrote a new version of iriunwebcam-bin with android-tool as dependency, and working validity check. It works fine.

Due old adb dependency, previously to install this new version 2.4-2, you must uninstall v. 2.3-1 or v. 2.4-1 (agstrc code):


# pacman -Rs iriunwebcam-bin

Below, my new PKGBUILD code: I hope that will solve the update to v. 2.4 and simultaneously solve new android-tool dependency until miss_barfin take the update in her hands...


# Maintainer: Barfin
# Contributor: DanielH

pkgname=iriunwebcam-bin
pkgver=2.4
pkgrel=2
pkgdesc="Use your phone's camera as a wireless webcam in your PC."
arch=('any')
url="http://iriun.gitlab.io"
license=(unknown)
source=("iriunwebcam.deb::http://iriun.gitlab.io/iriunwebcam.deb")
options=('!strip')
depends=('jack' 'qt5-base' 'v4l2loopback-dkms' 'android-tools')

package() {
    tar -xf "${srcdir}/data.tar.xz" -C "${pkgdir}"
}

md5sums=('9f14cff197d77cdeeded960836f843b5')

Frousties commented on 2021-03-14 13:22

Please change depedency 'adb' to 'android-tools' as it doesn't exist anymore

agstrc commented on 2021-03-04 14:22

Here's a small PKGBUILD patch while the package is not yet updated. This patch updates the package to 2.4 with a working validity check

# Maintainer: Barfin
pkgname=iriunwebcam-bin
pkgver=2.4
pkgrel=1
pkgdesc="Use your phone's camera as a wireless webcam in your PC."
arch=('any')
url="https://iriun.com"
license=(unknown)
source=("iriunwebcam.deb::http://iriun.gitlab.io/iriunwebcam-${pkgver}.deb")
options=('!strip')
depends=('jack' 'qt5-base' 'v4l2loopback-dkms' 'adb')

package() {
    tar -xf "${srcdir}/data.tar.xz" -C "${pkgdir}"
}

md5sums=('9ebc6c0f31fcffce744ffa589fe13100')

crisnsz commented on 2021-03-01 04:50

Well, to temporarily solve the problem: it fails the validity check. Calculate the MD5 checksum of the downloaded .deb file, copy it and replace the one in the PKGBUILD file with the new one, save and run the makepkg -si command again.

shady90 commented on 2021-02-17 15:38

Can't install it, its not passing the validity check on Manjaro.

same for me :(

ArchGalileu commented on 2021-02-07 07:10

Any advice to run multiple phones?

Best regards ArchGalileu

marcogmonteiro commented on 2021-02-02 09:31

Can't install it, its not passing the validity check on Manjaro.